Subject: Re: bug#79178: [Improvement] Allow auto-insert to have functions as conditions

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Aug 2025 17:40:47 +0300

> Date: Thu, 7 Aug 2025 15:18:43 +0200
> Cc: [email-masked]
> From: Mattias <[email-masked]>
> 
> Hi and thanks again,
> 
> > It is best to use change-log-mode for formatting commit log messages,
> > as it will allow you to use M-q and other conveniences, and will obey
> > the formatting according to our conventions.  Also, don't forget the
> > periods at the end of each sentence (I added them above).
> 
> I tried using change-log-mode but it indented the whole commit 
> message with 4 spaces when I used M-q on it. My current mode seems to do 
> the job with M-q, I just didn't use it before (and it removes the : 
> between lisp/autoinsert and (auto-insert-alist) which looks like the 
> intended formatting since other commit logs are formatted this way).

Thanks, installed on the master branch (with a few tiny fixes), and
closing the bug.